#include <bits/stdc++.h>

using namespace std;

int brmanjih[20005][20005];

int main()
{
    int n;
    cin>>n;
    int niz[n];
    for(int i=0;i<n;i++)
        cin>>niz[i];

    for(int i=0;i<n;i++)
        for(int j=i+1;j<n;j++)
        {
            if(niz[j]<niz[i])
                brmanjih[i][j]=1;
        }
    int t;
    cin>>t;
    for(int i=0;i<t;i++)
    {
        int l,r;
        cin>>l>>r;
        int ok=0;
        for(int j=l-1;j<r;j++)
        {
            ok+=brmanjih[j][r-1];
            if(ok>1)
            {
                cout<<"NE"<<endl;
                break;
            }
        }
        if(ok<2)
            cout<<"DA"<<endl;
    }
    return 0;
}